<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.8) on Wed Aug 12 16:32:57 CEST 2020 -->
<title>SpecimenMultiMediaObject</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-08-12">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
<script type="text/javascript" src="../../../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../../../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../../../../../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../../../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="SpecimenMultiMediaObject";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":10,"i1":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/SpecimenMultiMediaObject.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">nl.naturalis.nba.api.model</a></div>
<h2 title="Class SpecimenMultiMediaObject" class="title">Class SpecimenMultiMediaObject</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true" title="class or interface in java.lang" class="externalLink">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li><a href="NbaTraceableObject.html" title="class in nl.naturalis.nba.api.model">nl.naturalis.nba.api.model.NbaTraceableObject</a></li>
<li>
<ul class="inheritance">
<li><a href="MultiMediaObject.html" title="class in nl.naturalis.nba.api.model">nl.naturalis.nba.api.model.MultiMediaObject</a></li>
<li>
<ul class="inheritance">
<li>nl.naturalis.nba.api.model.SpecimenMultiMediaObject</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><code><a href="IDocumentObject.html" title="interface in nl.naturalis.nba.api.model">IDocumentObject</a></code>, <code><a href="INbaModelObject.html" title="interface in nl.naturalis.nba.api.model">INbaModelObject</a></code></dd>
</dl>
<hr>
<pre>public class <span class="typeNameLabel">SpecimenMultiMediaObject</span>
extends <a href="MultiMediaObject.html" title="class in nl.naturalis.nba.api.model">MultiMediaObject</a></pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E()">SpecimenMultiMediaObject</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="Specimen.html" title="class in nl.naturalis.nba.api.model">Specimen</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getSpecimen()">getSpecimen</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setSpecimen(nl.naturalis.nba.api.model.Specimen)">setSpecimen</a></span>&#8203;(<a href="Specimen.html" title="class in nl.naturalis.nba.api.model">Specimen</a>&nbsp;specimen)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.nl.naturalis.nba.api.model.MultiMediaObject">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;nl.naturalis.nba.api.model.<a href="MultiMediaObject.html" title="class in nl.naturalis.nba.api.model">MultiMediaObject</a></h3>
<code><a href="MultiMediaObject.html#addServiceAccessPoint(java.lang.String,java.lang.String,java.lang.String)">addServiceAccessPoint</a>, <a href="MultiMediaObject.html#addServiceAccessPoint(nl.naturalis.nba.api.model.ServiceAccessPoint)">addServiceAccessPoint</a>, <a href="MultiMediaObject.html#getAssociatedSpecimen()">getAssociatedSpecimen</a>, <a href="MultiMediaObject.html#getAssociatedSpecimenReference()">getAssociatedSpecimenReference</a>, <a href="MultiMediaObject.html#getAssociatedTaxon()">getAssociatedTaxon</a>, <a href="MultiMediaObject.html#getAssociatedTaxonReference()">getAssociatedTaxonReference</a>, <a href="MultiMediaObject.html#getCaption()">getCaption</a>, <a href="MultiMediaObject.html#getCollectionType()">getCollectionType</a>, <a href="MultiMediaObject.html#getCopyrightText()">getCopyrightText</a>, <a href="MultiMediaObject.html#getCreator()">getCreator</a>, <a href="MultiMediaObject.html#getDataGeneralizations()">getDataGeneralizations</a>, <a href="MultiMediaObject.html#getDateLastEdited()">getDateLastEdited</a>, <a href="MultiMediaObject.html#getDescription()">getDescription</a>, <a href="MultiMediaObject.html#getGatheringEvents()">getGatheringEvents</a>, <a href="MultiMediaObject.html#getId()">getId</a>, <a href="MultiMediaObject.html#getIdentifications()">getIdentifications</a>, <a href="MultiMediaObject.html#getInformationWithheld()">getInformationWithheld</a>, <a href="MultiMediaObject.html#getLicense()">getLicense</a>, <a href="MultiMediaObject.html#getLicenseType()">getLicenseType</a>, <a href="MultiMediaObject.html#getOwner()">getOwner</a>, <a href="MultiMediaObject.html#getPhasesOrStages()">getPhasesOrStages</a>, <a href="MultiMediaObject.html#getPreviousSourceID()">getPreviousSourceID</a>, <a href="MultiMediaObject.html#getPreviousUnitsText()">getPreviousUnitsText</a>, <a href="MultiMediaObject.html#getRating()">getRating</a>, <a href="MultiMediaObject.html#getResourceCreationTechnique()">getResourceCreationTechnique</a>, <a href="MultiMediaObject.html#getServiceAccessPoints()">getServiceAccessPoints</a>, <a href="MultiMediaObject.html#getSexes()">getSexes</a>, <a href="MultiMediaObject.html#getSourceID()">getSourceID</a>, <a href="MultiMediaObject.html#getSourceInstitutionID()">getSourceInstitutionID</a>, <a href="MultiMediaObject.html#getSubjectOrientations()">getSubjectOrientations</a>, <a href="MultiMediaObject.html#getSubjectParts()">getSubjectParts</a>, <a href="MultiMediaObject.html#getTaxonCount()">getTaxonCount</a>, <a href="MultiMediaObject.html#getTheme()">getTheme</a>, <a href="MultiMediaObject.html#getTitle()">getTitle</a>, <a href="MultiMediaObject.html#getType()">getType</a>, <a href="MultiMediaObject.html#getUnitID()">getUnitID</a>, <a href="MultiMediaObject.html#isMultiMediaPublic()">isMultiMediaPublic</a>, <a href="MultiMediaObject.html#setAssociatedSpecimen(nl.naturalis.nba.api.model.Specimen)">setAssociatedSpecimen</a>, <a href="MultiMediaObject.html#setAssociatedSpecimenReference(java.lang.String)">setAssociatedSpecimenReference</a>, <a href="MultiMediaObject.html#setAssociatedTaxon(nl.naturalis.nba.api.model.Taxon)">setAssociatedTaxon</a>, <a href="MultiMediaObject.html#setAssociatedTaxonReference(java.lang.String)">setAssociatedTaxonReference</a>, <a href="MultiMediaObject.html#setCaption(java.lang.String)">setCaption</a>, <a href="MultiMediaObject.html#setCollectionType(java.lang.String)">setCollectionType</a>, <a href="MultiMediaObject.html#setCopyrightText(java.lang.String)">setCopyrightText</a>, <a href="MultiMediaObject.html#setCreator(java.lang.String)">setCreator</a>, <a href="MultiMediaObject.html#setDataGeneralizations(java.lang.String)">setDataGeneralizations</a>, <a href="MultiMediaObject.html#setDateLastEdited(java.time.OffsetDateTime)">setDateLastEdited</a>, <a href="MultiMediaObject.html#setDescription(java.lang.String)">setDescription</a>, <a href="MultiMediaObject.html#setGatheringEvents(java.util.List)">setGatheringEvents</a>, <a href="MultiMediaObject.html#setId(java.lang.String)">setId</a>, <a href="MultiMediaObject.html#setIdentifications(java.util.List)">setIdentifications</a>, <a href="MultiMediaObject.html#setInformationWithheld(java.lang.String)">setInformationWithheld</a>, <a href="MultiMediaObject.html#setLicense(nl.naturalis.nba.api.model.License)">setLicense</a>, <a href="MultiMediaObject.html#setLicenseType(nl.naturalis.nba.api.model.LicenseType)">setLicenseType</a>, <a href="MultiMediaObject.html#setMultiMediaPublic(java.lang.Boolean)">setMultiMediaPublic</a>, <a href="MultiMediaObject.html#setOwner(java.lang.String)">setOwner</a>, <a href="MultiMediaObject.html#setPhasesOrStages(java.util.List)">setPhasesOrStages</a>, <a href="MultiMediaObject.html#setPreviousSourceID(java.util.List)">setPreviousSourceID</a>, <a href="MultiMediaObject.html#setPreviousUnitsText(java.lang.String)">setPreviousUnitsText</a>, <a href="MultiMediaObject.html#setRating(java.lang.Byte)">setRating</a>, <a href="MultiMediaObject.html#setResourceCreationTechnique(java.lang.String)">setResourceCreationTechnique</a>, <a href="MultiMediaObject.html#setServiceAccessPoints(java.util.List)">setServiceAccessPoints</a>, <a href="MultiMediaObject.html#setSexes(java.util.List)">setSexes</a>, <a href="MultiMediaObject.html#setSourceID(java.lang.String)">setSourceID</a>, <a href="MultiMediaObject.html#setSourceInstitutionID(java.lang.String)">setSourceInstitutionID</a>, <a href="MultiMediaObject.html#setSubjectOrientations(java.util.List)">setSubjectOrientations</a>, <a href="MultiMediaObject.html#setSubjectParts(java.util.List)">setSubjectParts</a>, <a href="MultiMediaObject.html#setTaxonCount(java.lang.Integer)">setTaxonCount</a>, <a href="MultiMediaObject.html#setTheme(java.util.List)">setTheme</a>, <a href="MultiMediaObject.html#setTitle(java.lang.String)">setTitle</a>, <a href="MultiMediaObject.html#setType(nl.naturalis.nba.api.model.ResourceType)">setType</a>, <a href="MultiMediaObject.html#setUnitID(java.lang.String)">setUnitID</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.nl.naturalis.nba.api.model.NbaTraceableObject">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;nl.naturalis.nba.api.model.<a href="NbaTraceableObject.html" title="class in nl.naturalis.nba.api.model">NbaTraceableObject</a></h3>
<code><a href="NbaTraceableObject.html#getRecordURI()">getRecordURI</a>, <a href="NbaTraceableObject.html#getSourceSystem()">getSourceSystem</a>, <a href="NbaTraceableObject.html#getSourceSystemId()">getSourceSystemId</a>, <a href="NbaTraceableObject.html#setRecordURI(java.net.URI)">setRecordURI</a>, <a href="NbaTraceableObject.html#setSourceSystem(nl.naturalis.nba.api.model.SourceSystem)">setSourceSystem</a>, <a href="NbaTraceableObject.html#setSourceSystemId(java.lang.String)">setSourceSystemId</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true" title="class or interface in java.lang" class="externalLink">Object</a></h3>
<code><a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true#equals(java.lang.Object)" title="class or interface in java.lang" class="externalLink">equals</a>, <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true#getClass()" title="class or interface in java.lang" class="externalLink">getClass</a>, <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true#hashCode()" title="class or interface in java.lang" class="externalLink">hashCode</a>, <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true#notify()" title="class or interface in java.lang" class="externalLink">notify</a>, <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true#notifyAll()" title="class or interface in java.lang" class="externalLink">notifyAll</a>, <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true#toString()" title="class or interface in java.lang" class="externalLink">toString</a>, <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true#wait()" title="class or interface in java.lang" class="externalLink">wait</a>, <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true#wait(long)" title="class or interface in java.lang" class="externalLink">wait</a>, <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true#wait(long,int)" title="class or interface in java.lang" class="externalLink">wait</a></code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>SpecimenMultiMediaObject</h4>
<pre>public&nbsp;SpecimenMultiMediaObject()</pre>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="getSpecimen()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSpecimen</h4>
<pre class="methodSignature">public&nbsp;<a href="Specimen.html" title="class in nl.naturalis.nba.api.model">Specimen</a>&nbsp;getSpecimen()</pre>
</li>
</ul>
<a id="setSpecimen(nl.naturalis.nba.api.model.Specimen)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setSpecimen</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setSpecimen&#8203;(<a href="Specimen.html" title="class in nl.naturalis.nba.api.model">Specimen</a>&nbsp;specimen)</pre>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/SpecimenMultiMediaObject.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
